Fulfillment & ShippingFulfillment
Create package
Creates a reusable package format with dimensions, empty weight, units, status, and default selection.
POST
/v1/fulfillment/packagesCreates a reusable package format with dimensions, empty weight, units, status, and default selection.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/fulfillment/packages" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "type": "box", "length": 1, "width": 1, "height": 1, "dimensionUnit": "centimeter", "emptyWeight": 1, "weightUnit": "kilogram" }'{ "id": "7204558912004325301", "storeId": "7204558912004325301", "name": "Example resource", "type": "box", "length": 1, "width": 1, "height": 1, "dimensionUnit": "centimeter", "emptyWeight": 1, "weightUnit": "kilogram", "isDefault": false, "isActive": false, "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z"}